/*
 * Muestra el uso de sec() para medir el transcurso del tiempo.
 */
var
   A : vector [50] numerico
   /*
    * t1 significa "tiempo 1" y t2 significa "tiempo 2", es decir,
    * contienen el valor de sec() en dos momentos diferentes.
    */
   t1, t2 : numerico
   k      : numerico
const
   CANT_REP = 251
inicio
   desde k=1 hasta alen (A) {
      A [k] = k*2
   }
   t1 = sec()
   /*
    * Repetiremos CANT_REP veces lo mismo solo para que tarde un poco y
    * podamos apreciar el tiempo transcurrido; de lo contrario es muy 
    * rpido el proceso y el tiempo transcurrido es muy corto.
    */
   desde k=1 hasta CANT_REP {
      invertir_vec (A)
   }
   t2 = sec()
   imprimir ("\nEl vector A contiene:\n", A,
             "\n\nEl proceso de invertir el contenido de A llev ", t2-t1,
             " segundos, repetido ", CANT_REP, " veces.")
fin


sub invertir_vec (ref A : vector [*] numerico)
var
   g = alen (A)
   k = 0
inicio
   desde k=1 hasta int(g)/2 {
      intercambiar (A [k], A [g-k+1])
   }
fin
